Page MenuHomePhabricator

AMDGPU: Fix folding SGPRs into madak/madmk src0
ClosedPublic

Authored by arsenm on Jul 3 2016, 1:08 PM.

Details

Summary

Because of the special immediate operand, the constant
bus is already used so SGPRs are never useful.

r263212 changed the name of the immediate operand, which
broke the verifier check for the restriction.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 62635.Jul 3 2016, 1:08 PM
arsenm retitled this revision from to AMDGPU: Fix folding SGPRs into madak/madmk src0.
arsenm updated this object.
arsenm added reviewers: tstellarAMD, mareko.
arsenm added a subscriber: llvm-commits.
mareko edited edge metadata.Jul 3 2016, 2:18 PM

Thanks. This fixes incorrect rendering in Borderlands 2.

tstellarAMD accepted this revision.Jul 4 2016, 12:20 PM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jul 4 2016, 12:20 PM
arsenm closed this revision.Jul 5 2016, 10:16 AM

r274564